import { createApp } from 'vue'
import App from './App.vue'
import router from "./router";
import axios from "axios";
import "./config/axios";
import {
    Button,
    Icon,
    Dialog,
    Form, Field,
    DropdownMenu, DropdownItem,
    Image as VanImage,
    Uploader,
    BackTop 
} from "vant";
import "vant/lib/index.css";

const app = createApp(App);

app.config.globalProperties.$ajax = axios;

app.use(router)
    .use(BackTop)
    .use(DropdownMenu)
    .use(DropdownItem)
    .use(Uploader)
    .use(VanImage)
    .use(Dialog)
    .use(Form)
    .use(Field)
    .use(Icon)
    .use(Button)
    .use(axios)
    .mount('#app')
